{
  "name": "usuarios-api",
  "version": "1.0.0",
  "description": "description",
  "author": "",
  "license": "MIT",
  "scripts": {
    "format": "prettier --write \"**/*.ts\"",
    "start": "ts-node -r tsconfig-paths/register src/main.ts",
    "build:prod": "rm -rf dist && tsc",
    "start:prod": "node dist/main.js"
  },
  "dependencies": {
    "@nestjs/common": "^5.3.0",
    "@nestjs/core": "^5.3.0",
    "@nestjs/typeorm": "^5.2.0",
    "@nestjs/websockets": "^5.3.0",
    "fastify-formbody": "^2.0.1",
    "pg": "^7.4.3",
    "reflect-metadata": "^0.1.12",
    "rxjs": "^6.3.0",
    "socket.io-redis": "^5.2.0",
    "typeorm": "^0.2.7",
    "typescript": "^3.1.6"
  },
  "devDependencies": {
    "@nestjs/testing": "^5.3.0",
    "@types/express": "^4.0.39",
    "@types/jest": "^24.0.6",
    "@types/node": "^11.9.5",
    "@types/socket.io": "^2.1.0",
    "@types/socket.io-redis": "^1.0.25",
    "@types/supertest": "^2.0.4",
    "jest": "^24.1.0",
    "nodemon": "^1.14.1",
    "prettier": "^1.11.1",
    "socket.io": "^2.1.1",
    "supertest": "^3.0.0",
    "ts-jest": "^24.0.0",
    "ts-loader": "^5.3.0",
    "ts-node": "^8.0.2",
    "tsconfig-paths": "^3.1.1",
    "tslint": "5.13.0",
    "webpack": "^4.2.0",
    "webpack-cli": "^3.1.2",
    "webpack-node-externals": "^1.6.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage"
  }
}
